package model;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import view.JFrameSample2;

/**
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class NextJPanelAction extends AbstractAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private JFrameSample2 frame; 
	
	public NextJPanelAction(JFrameSample2 frame) {
		super();
		
		this.frame = frame;
	}

	public void actionPerformed(ActionEvent arg0) {
		// On cr une variable locale pour la visibilit des JPanel
		// Elle a vrai (true) par dfaut
		boolean visible = true;
		
		// Si le premier JPanel est visible, on change la valeur de visible  faux (false)
		// Sinon, elle reste vrai (true)
		if (this.frame.getMyJPanel1().isVisible()) {
			visible = false;
		}
		
		// La visibilit de myJPanel1 est celle de la variable locale visible
		this.frame.getMyJPanel1().setVisible(visible);
		// La visibilit de myJPanel2 est l'oppos de la variable locale visible
		this.frame.getMyJPanel2().setVisible(!visible);
	}
}